> ## Documentation Index
> Fetch the complete documentation index at: https://docs.varchev.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all currency pairs



## OpenAPI

````yaml Wallet get /currency-pairs/{walletId}
openapi: 3.0.1
info:
  title: Wallet
  description: wallet
  version: 1.0.0
servers:
  - url: https://gateway.varchev.com/wallet
security:
  - default: []
paths:
  /currency-pairs/{walletId}:
    get:
      tags:
        - Currency Pairs
      summary: Get all currency pairs
      operationId: CurrencyPairController_findAllCurrencyPairs
      parameters:
        - name: walletId
          in: path
          required: true
          style: simple
          explode: false
          schema:
            type: string
      responses:
        '200':
          description: Get all currency pairs
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AllowedCurrencyPairDto'
      security:
        - default: []
components:
  schemas:
    AllowedCurrencyPairDto:
      required:
        - baseCurrency
        - baseCurrencyId
        - id
        - lotDecimals
        - minimumVolume
        - pair
        - pairDecimals
        - quoteCurrency
        - quoteCurrencyId
        - tenantId
      type: object
      properties:
        id:
          type: string
        tenantId:
          type: string
        baseCurrency:
          type: string
        quoteCurrency:
          type: string
        pair:
          type: string
        baseCurrencyId:
          type: string
        quoteCurrencyId:
          type: string
        pairDecimals:
          type: number
        lotDecimals:
          type: number
        minimumVolume:
          type: number
  securitySchemes:
    default:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://test.com
          scopes: {}

````